
Redmine - Patch #3245

Roadmap - show Estimated Time and Spent Time

2009-04-27 13:34 - Anonymous

Status: New Start date: 2009-04-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Description

I have edited the versions/show.rhtml page, so that it shows the Estimated Time and the Spent Time for each ticket in the Version.

This diff is done on the Trunk.

I would appreciate, if this would be a standard feature.

Related issues:

Related to Redmine - Feature #371: Show time tracking in the changelog/roadmap New

History

#1 - 2009-05-13 10:29 - Hans Kazan

Markus May wrote:

I would appreciate, if this would be a standard feature.

 I like this feature very much, a +1 for including this one into the main development branch if possible.

#2 - 2009-05-14 00:29 - Adam Piotr Żochowski

I would recommend one minor change.  That is, do not display if there is nothing to display.

Often I do not have hours specified, so now I see a lot of ( 0 / 0 ).  Instead of that, it would be best to skip it altogether.

something along the lines of having additional if statement, that checks if there is anything to display, or just zeroes:

...<% if (issue.estimated_hours != nil && issue.estimated_hours > 0) || ( issue.spent_hours > 0 ) %>

   ( 

   <% if (issue.estimated_hours != nil && issue.estimated_hours > 0)%>

      <%= issue.estimated_hours %>

   <% else %>

      0

   <% end %> 

   / 

   <% if issue.spent_hours > 0 %>

      <%= issue.spent_hours %>

   <% else %>

      0

   <% end %>)

<%end%></li>

 Kind regards

#3 - 2009-05-21 18:15 - Jamie McClelland

This is a great patch - thanks for the contribution.

Is there anyway to get it to work for the roadmap? When I apply the patch, I see the estimated/actual hours by clicking on a given version link (which

shows one link by itself), but not when showing all the versions together on the roadmap page.

jamie

#4 - 2009-05-22 11:05 - Anonymous

The data for the Amount of time is available on the Roadmap Detail Page anyway, and therefor I put the data only there.

#5 - 2017-11-13 18:35 - Alexander Lyzhenkov
+1

#6 - 2017-11-26 10:52 - Go MAEDA

- Category set to Roadmap

Files

show.patch 1009 Bytes 2009-04-27 Anonymous
